Bug 838400 - PATCH - Dhcpd does not correctly follow DhcpFailOverPeerDN
PATCH - Dhcpd does not correctly follow DhcpFailOverPeerDN
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 21:49 EDT by William Brown
Modified: 2012-08-06 03:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 03:59:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated Spec file (726 bytes, text/plain)
2012-07-08 21:49 EDT, William Brown
no flags Details
Correction for ldap.c (707 bytes, patch)
2012-07-08 21:50 EDT, William Brown
no flags Details | Diff

  None (edit)
Description William Brown 2012-07-08 21:49:15 EDT
Created attachment 596962 [details]
Updated Spec file

Description of problem:
The ISC-DHCP server lists in the LDAP schema that certain objects can hold a "dhcpFailOverPeerDN" option that at runtime is followed to a dhcpFailOverPeer object that contains information about fail over partners. However, this is never followed at run time meaning these options are overlooked. 

Version-Release number of selected component (if applicable):
4.2.4

How reproducible:
Always

Steps to Reproduce:
1. Install DHCP in debug mode and configure to use LDAP
2. Create a dhcpFailOverPeer object
3. In the dhcpService object, add the dhcpFailOverPeerDN reference 
  
Actual results:
The reference is not followed

Expected results:
The reference is followed.

Additional info:
Find attached a patch that corrects the issue.
Comment 1 William Brown 2012-07-08 21:50:48 EDT
Created attachment 596963 [details]
Correction for ldap.c
Comment 2 Jiri Popelka 2012-07-09 08:57:41 EDT
William, are you going to send your patch & description to dhcp-bugs@isc.org or do you want me to do that ?
Comment 3 Fedora Update System 2012-07-23 08:01:24 EDT
dhcp-4.2.4-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dhcp-4.2.4-6.fc17
Comment 4 Fedora Update System 2012-07-23 16:28:44 EDT
Package dhcp-4.2.4-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dhcp-4.2.4-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11020/dhcp-4.2.4-6.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-25 08:45:25 EDT
dhcp-4.2.4-7.P1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dhcp-4.2.4-7.P1.fc17
Comment 6 Fedora Update System 2012-08-01 14:28:39 EDT
dhcp-4.2.4-9.P1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.